openSUSE Security Update : avahi (openSUSE-2021-370)

high Nessus Plugin ID 147159

Language:

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for avahi fixes the following issues :

- CVE-2021-26720: drop privileges when invoking avahi-daemon-check-dns.sh (bsc#1180827)

- Update avahi-daemon-check-dns.sh from Debian. Our previous version relied on ifconfig, route, and init.d.

- Add sudo to requires: used to drop privileges.

This update was imported from the SUSE:SLE-15-SP1:Update update project.

Solution

Update the affected avahi packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1180827

Plugin Details

Severity: High

ID: 147159

File Name: openSUSE-2021-370.nasl

Version: 1.2

Type: local

Agent: unix

Published: 3/5/2021

Updated: 3/10/2021

Supported Sensors: Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent

Risk Information

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: Medium

Base Score: 4.6

Temporal Score: 3.4

Vector: AV:L/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: High

Base Score: 7.8

Temporal Score: 6.8

Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:avahi, p-cpe:/a:novell:opensuse:avahi-32bit-debuginfo, p-cpe:/a:novell:opensuse:avahi-autoipd, p-cpe:/a:novell:opensuse:avahi-autoipd-debuginfo, p-cpe:/a:novell:opensuse:avahi-compat-howl-devel, p-cpe:/a:novell:opensuse:avahi-compat-mDNSResponder-devel, p-cpe:/a:novell:opensuse:avahi-debuginfo, p-cpe:/a:novell:opensuse:avahi-debugsource, p-cpe:/a:novell:opensuse:avahi-glib2-debugsource, p-cpe:/a:novell:opensuse:avahi-lang, p-cpe:/a:novell:opensuse:avahi-mono, p-cpe:/a:novell:opensuse:avahi-qt4-debugsource, p-cpe:/a:novell:opensuse:avahi-utils, p-cpe:/a:novell:opensuse:avahi-utils-debuginfo, p-cpe:/a:novell:opensuse:avahi-utils-gtk, p-cpe:/a:novell:opensuse:avahi-utils-gtk-debuginfo, p-cpe:/a:novell:opensuse:libavahi-client3, p-cpe:/a:novell:opensuse:libavahi-client3-32bit, p-cpe:/a:novell:opensuse:libavahi-client3-32bit-debuginfo, p-cpe:/a:novell:opensuse:libavahi-client3-debuginfo, p-cpe:/a:novell:opensuse:libavahi-common3, p-cpe:/a:novell:opensuse:libavahi-common3-32bit, p-cpe:/a:novell:opensuse:libavahi-common3-32bit-debuginfo, p-cpe:/a:novell:opensuse:libavahi-common3-debuginfo, p-cpe:/a:novell:opensuse:libavahi-core7, p-cpe:/a:novell:opensuse:libavahi-core7-debuginfo, p-cpe:/a:novell:opensuse:libavahi-devel, p-cpe:/a:novell:opensuse:libavahi-glib-devel, p-cpe:/a:novell:opensuse:libavahi-glib1, p-cpe:/a:novell:opensuse:libavahi-glib1-32bit, p-cpe:/a:novell:opensuse:libavahi-glib1-32bit-debuginfo, p-cpe:/a:novell:opensuse:libavahi-glib1-debuginfo, p-cpe:/a:novell:opensuse:libavahi-gobject-devel, p-cpe:/a:novell:opensuse:libavahi-gobject0, p-cpe:/a:novell:opensuse:libavahi-gobject0-debuginfo, p-cpe:/a:novell:opensuse:libavahi-qt4-1, p-cpe:/a:novell:opensuse:libavahi-qt4-1-debuginfo, p-cpe:/a:novell:opensuse:libavahi-qt4-devel, p-cpe:/a:novell:opensuse:libavahi-ui-gtk3-0, p-cpe:/a:novell:opensuse:libavahi-ui-gtk3-0-debuginfo, p-cpe:/a:novell:opensuse:libavahi-ui0, p-cpe:/a:novell:opensuse:libavahi-ui0-debuginfo, p-cpe:/a:novell:opensuse:libdns_sd, p-cpe:/a:novell:opensuse:libdns_sd-32bit, p-cpe:/a:novell:opensuse:libdns_sd-32bit-debuginfo, p-cpe:/a:novell:opensuse:libdns_sd-debuginfo, p-cpe:/a:novell:opensuse:libhowl0, p-cpe:/a:novell:opensuse:libhowl0-debuginfo, p-cpe:/a:novell:opensuse:python3-avahi, p-cpe:/a:novell:opensuse:python3-avahi-gtk, p-cpe:/a:novell:opensuse:typelib-1_0-Avahi-0_6, cpe:/o:novell:opensuse:15.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 3/2/2021

Vulnerability Publication Date: 2/17/2021

Reference Information

CVE: CVE-2021-26720